%define gimp_help_dir %{_datadir}/gimp/2.0/help
%define oname gimp-help
Summary: Help files for Gimp2
Name:    gimp-help-2
Version: 2.4.0
Release: %mkrel 2
Source0: ftp://ftp.gimp.org/pub/gimp/help/%oname-%version.tar.bz2
License: GFDL
Group: Books/Other
Url: http://docs.gimp.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxslt-proc
BuildRequires: libxml2-utils
BuildRequires: docbook-style-xsl
BuildRequires: docbook-dtd43-xml
BuildRequires: gnome-doc-utils
BuildArch: noarch

%description
This is the new HTML help for Gimp 2.

# -----------------------------------------------------
%package common
Summary: Common files for Gimp2 help
Group: Books/Other
Conflicts: %name < 0.13-2

%description common
This package contains common files for Gimp2 help.

%files common
%defattr(-,root,root)
%doc AUTHORS NEWS README HACKING TERMINOLOGY
%dir %gimp_help_dir/images
%gimp_help_dir/images/*.png
%gimp_help_dir/images/callouts/

%dir %gimp_help_dir/images/dialogs/
%gimp_help_dir/images/dialogs/*.png
%gimp_help_dir/images/dialogs/examples/

%dir %gimp_help_dir/images/filters/
%gimp_help_dir/images/filters/*.*

%dir %gimp_help_dir/images/filters/examples/
%gimp_help_dir/images/filters/examples/*.*

%gimp_help_dir/images/glossary/

%dir %gimp_help_dir/images/math
%gimp_help_dir/images/math/*.png

%dir %gimp_help_dir/images/menus/
%gimp_help_dir/images/menus/*.png

%dir %gimp_help_dir/images/preferences/
%gimp_help_dir/images/preferences/*.png

%dir %gimp_help_dir/images/tool-options/
%gimp_help_dir/images/tool-options/*.png

%dir %gimp_help_dir/images/toolbox
%gimp_help_dir/images/toolbox/*.png

%dir %gimp_help_dir/images/tutorials
%gimp_help_dir/images/tutorials/*.*

%dir %gimp_help_dir/images/using
%gimp_help_dir/images/using/*.*

# -----------------------------------------------------
%package cs
Summary: Czech translation of Gimp2 help
Group: Books/Other
Requires: locales-cs
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description cs
This package contains Czech translation of Gimp2 help.

%files cs
%defattr(-,root,root)
%gimp_help_dir/images/*/cs

# -----------------------------------------------------
%package de
Summary: German translation of Gimp2 help
Group: Books/Other
Requires: locales-de
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description de
This package contains German translation of Gimp2 help.

%files de
%defattr(-,root,root)
%gimp_help_dir/images/*/de
%gimp_help_dir/images/filters/examples/de
%gimp_help_dir/de

# -----------------------------------------------------
%package en
Summary: English translation of Gimp2 help
Group: Books/Other
Requires: locales-en
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description en
This package contains English translation of Gimp2 help.

%files en
%defattr(-,root,root)
%gimp_help_dir/en

# -----------------------------------------------------
%package es
Summary: Spanish translation of Gimp2 help
Group: Books/Other
Requires: locales-es
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description es
This package contains Spanish translation of Gimp2 help.

%files es
%defattr(-,root,root)
%gimp_help_dir/images/*/es
%gimp_help_dir/es

# -----------------------------------------------------
%package fr
Summary: French translation of Gimp2 help
Group: Books/Other
Requires: locales-fr
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description fr
This package contains French translation of Gimp2 help.

%files fr
%defattr(-,root,root)
%gimp_help_dir/images/*/fr
%gimp_help_dir/images/filters/examples/fr
%gimp_help_dir/fr

# -----------------------------------------------------
%package hr
Summary: Croatian translation of Gimp2 help
Group: Books/Other
Requires: locales-hr
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description hr
This package contains Croatian translation of Gimp2 help.

%files hr
%defattr(-,root,root)
%gimp_help_dir/images/*/hr

# -----------------------------------------------------
%package it
Summary: Italian translation of Gimp2 help
Group: Books/Other
Requires: locales-it
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description it
This package contains Italian translation of Gimp2 help.

%files it
%defattr(-,root,root)
%gimp_help_dir/images/*/it
%gimp_help_dir/images/filters/examples/it
%gimp_help_dir/it

# -----------------------------------------------------
%package ko
Summary: Korean translation of Gimp2 help
Group: Books/Other
Requires: locales-ko
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description ko
This package contains Korean translation of Gimp2 help.

%files ko
%defattr(-,root,root)
%gimp_help_dir/images/*/ko
%gimp_help_dir/ko

# -----------------------------------------------------
%package nl
Summary: Dutch translation of Gimp2 help
Group: Books/Other
Requires: locales-nl
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description nl
This package contains Dutch translation of Gimp2 help.

%files nl
%defattr(-,root,root)
%gimp_help_dir/images/*/nl
%gimp_help_dir/nl

# -----------------------------------------------------
%package no
Summary: Norwegian translation of Gimp2 help
Group: Books/Other
Requires: locales-no
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description no
This package contains Norwegian translation of Gimp2 help.

%files no
%defattr(-,root,root)
%gimp_help_dir/images/*/no
%gimp_help_dir/images/filters/examples/no
%gimp_help_dir/no

# -----------------------------------------------------
%package ru
Summary: Russian translation of Gimp2 help
Group: Books/Other
Requires: locales-ru
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description ru
This package contains Russian translation of Gimp2 help.

%files ru
%defattr(-,root,root)
%gimp_help_dir/images/*/ru
%gimp_help_dir/ru

# -----------------------------------------------------
%package sv
Summary: Swidish translation of Gimp2 help
Group: Books/Other
Requires: locales-sv
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description sv
This package contains Swedish translation of Gimp2 help.

%files sv
%defattr(-,root,root)
%gimp_help_dir/sv

# -----------------------------------------------------
%package zh_CN
Summary: Simplified Chinese translation of Gimp2 help
Group: Books/Other
Requires: locales-zh
Requires: %name-common = %version-%release
Provides: %name = %version-%release
Obsoletes: %name < 0.13
Conflicts: %name < 0.13-2

%description zh_CN
This package contains Simplified Chinese translation of Gimp2 help.

%files zh_CN
%defattr(-,root,root)
%gimp_help_dir/images/*/zh_CN

# -----------------------------------------------------

%prep
%setup -q -n %oname-%version

%build
%configure2_5x --without-gimp
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Feb 03 2008 Frederik Himpe <fhimpe@mandriva.org> 2.4.0-2mdv2008.1
+ Revision: 161732
- Fix typos and error in package description (bug #37459)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 01 2007 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2008.1
+ Revision: 114271
- new version
- update file list

* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.13-3mdv2008.0
+ Revision: 72018
- fix latest upgrade bit

* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.13-2mdv2008.0
+ Revision: 71941
- fix upgrade by preventing spreading various sub packages across several transactions (#32731)

* Sat Aug 18 2007 Funda Wang <fundawang@mandriva.org> 0.13-1mdv2008.0
+ Revision: 65823
- Split to language packages to reduce the download bandwidth
- New version 0.13


* Thu Mar 08 2007 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2007.1
+ Revision: 138466
- new version
- update file list

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.11-3mdv2007.1
+ Revision: 130729
- move huge (1Mb!) ChangeLog in devel package

* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 0.11-2mdv2007.1
+ Revision: 101082
- disable ImageMagick usage, it makes convert crash
- add missing files
- fix buildrequires
- update file list
- Import gimp-help-2

* Thu Dec 21 2006 Gtz Waschk <waschk@mandriva.org> 0.11-1mdv2007.1
- update file list
- fix buildrequires
- fix source URL
- new version

* Fri Sep 09 2005 Götz Waschk <waschk@mandriva.org> 0.9-1mdk
- New release 0.9

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- update file list
- new source URL
- new version

* Wed Feb 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7-1mdk
- new release

* Tue Jan 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- new release
- add source's url

* Wed Dec 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-1mdk
- new release

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-1mdk
- new release

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-1mdk
- new release

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- buildrequires gimp2-devel

* Fri Mar 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-1mdk
- new release

* Thu Mar 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-1mdk
- initial package

